package com.gic.haoban.manage.service.pojo.bo.content;

import java.util.Date;

/**
 * @Author MUSI
 * @Date 2023/3/18 9:02 PM
 * @Description
 * @Version
 **/
public class ClerkShareLogBO {

    private Long id;

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 微信企业id
     */
    private String wxEnterpriseId;

    /**
     * 导购id
     */
    private String clerkId;

    /**
     * 成员id
     */
    private String staffId;

    /**
     * 素材分享类型
     * @see com.gic.haoban.manage.api.enums.content.ClerkShareMaterialType
     */
    private Integer shareType;

    /**
     * 业务id
     */
    private String bizId;

    /**
     * 业务类型
     * @see com.gic.haoban.manage.api.enums.content.ShareBizType
     */
    private Integer bizType;

    /**
     * 创建时间
     */
    private Date createTime;

    private String storeId;

    /**
     * 额外数据
     */
    private String extend;

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public Integer getShareType() {
        return shareType;
    }

    public void setShareType(Integer shareType) {
        this.shareType = shareType;
    }

    public String getBizId() {
        return bizId;
    }

    public void setBizId(String bizId) {
        this.bizId = bizId;
    }

    public Integer getBizType() {
        return bizType;
    }

    public void setBizType(Integer bizType) {
        this.bizType = bizType;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getExtend() {
        return extend;
    }

    public void setExtend(String extend) {
        this.extend = extend;
    }
}
